/*! TinaCSS for v2.1.0 | Created by Magneto for TinaTheme| Size about 24KB */
html {
  line-height: 1.15;
  -webkit-text-size-adjust: 100%;
}
body {
  margin: 0;
}
main {
  display: block;
}
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}
hr {
  box-sizing: content-box;
  height: 0;
  overflow: visible;
}
a {
  background-color: transparent;
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
samp {
  font-family: monospace, monospace;
  font-size: 1em;
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -0.25em;
}
sup {
  top: -0.5em;
}
img {
  border-style: none;
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit;
  font-size: 100%;
  line-height: 1.15;
  margin: 0;
}
button,
input {
  overflow: visible;
}
button,
select {
  text-transform: none;
}
[type="button"],
[type="reset"],
[type="submit"],
button {
  -webkit-appearance: button;
}
[type="button"]::-moz-focus-inner,
[type="reset"]::-moz-focus-inner,
[type="submit"]::-moz-focus-inner,
button::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
[type="button"]:-moz-focusring,
[type="reset"]:-moz-focusring,
[type="submit"]:-moz-focusring,
button:-moz-focusring {
  outline: 1px dotted ButtonText;
}
fieldset {
  padding: 0.35em 0.75em 0.625em;
}
legend {
  box-sizing: border-box;
  color: inherit;
  display: table;
  max-width: 100%;
  padding: 0;
  white-space: normal;
}
progress {
  vertical-align: baseline;
}
textarea {
  overflow: auto;
}
[type="checkbox"],
[type="radio"] {
  box-sizing: border-box;
  padding: 0;
}
[type="number"]::-webkit-inner-spin-button,
[type="number"]::-webkit-outer-spin-button {
  height: auto;
}
[type="search"] {
  -webkit-appearance: textfield;
  outline-offset: -2px;
}
[type="search"]::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  -webkit-appearance: button;
  font: inherit;
}
details {
  display: block;
}
summary {
  display: list-item;
}
template {
  display: none;
}
[hidden] {
  display: none;
}
*,
::after,
::before {
  box-sizing: border-box;
}
:root {
  --color-mode: light;
  --h1-color: #343a40;
  --font-color: #495057;
  --heading-color: #343a40;
  --background: white;
  --dark-font-color: #1b1d25;
  --medium-font-color: #60656c;
  --light-font-color: #858b93;
  --light-background: #f1f4f8;
  --light-background-hover: #e1e6ed;
  --border: #d6d9de;
  --link-color: #5183f5;
  --link-color-darker: #364fc7;
  --navbar-color: #fff;
  --blockquote: #f9f9f9;
  --blockquote-left: #e3e6eb;
  --transparent-text: rgba(0, 0, 0, 0.7);
  --transparent-bg: rgba(0, 0, 0, 0.05);
  --light-transparent-bg: rgba(255, 255, 255, 0.1);
  --light-transparent-bg: rgba(255, 255, 255, 0.05);
  --comment-background-color: #fff;
  --submit-color: #fff;
  --comment-body-color: #343a40;
  --comment-meta: rgba(0 0 0 / 44%);
  --inkpage_links: #333333;
  --webkit-scrollbar: rgb(78 76 76 / 30%);
  --commentslist--color: rgb(0 0 0 / 10%) 0px 5px 20px;
}
.flex {
  display: flex;
  align-items: center;
}
.flex-row {
  display: flex;
  flex-direction: column;
}
@media screen and (min-width: 800px) {
  .flex-row {
    flex-direction: row;
  }
}
.flex-col {
  flex: 1;
}
.flex-two-thirds {
  flex: 2;
}
.justify-center {
  justify-content: center;
}
html {
  font-family:
    -apple-system,
    BlinkMacSystemFont,
    helvetica neue,
    roboto,
    Roboto,
    Arial,
    noto sans,
    sans-serif,
    apple color emoji,
    segoe ui,
    segoe ui emoji,
    segoe ui symbol,
    noto color emoji;
  color: var(--font-color);
  font-weight: 400;
  font-size: 1rem;
  line-height: 1.75;
}
body {
  background: var(--background);
  margin: 0;
  padding: 0;
}
section {
  margin: 2rem 0;
}
section:first-of-type {
  margin-top: 0;
}
section > h2 {
  display: flex;
  align-items: center;
  font-size: 1.6rem;
  margin-top: 0;
  margin-bottom: 0.5rem;
}
@media screen and (min-width: 800px) {
  section > h2 {
    margin-bottom: 2rem;
  }
}
.index h2,
section > h2 {
  border-bottom-width: 0;
}
@media screen and (min-width: 800px) {
  .index h2,
  section > h2 {
    border-bottom-width: 4px;
  }
}
a.section-button {
  font-weight: 500;
  background: var(--light-background);
  color: var(--dark-font-color);
  padding: 0.4rem 0.6rem;
  font-size: 0.8rem;
  border-radius: 0.3rem;
  border-width: 0 !important;
  white-space: nowrap;
  line-height: 1;
  margin-left: 2rem;
  margin-top: 0.5rem;
}
a.section-button:hover {
  background: var(--light-background-hover);
  color: var(--heading-color);
}
@media screen and (min-width: 800px) {
  section {
    margin: 3.5rem 0;
  }
  section > h2 {
    font-size: 2rem;
    margin: 0 0 1rem;
  }
}
.container {
  max-width: 825px;
  padding: 0 1.5rem;
  margin-left: auto;
  margin-right: auto;
}
.container.page p {
  max-width: 600px;
}
@media screen and (min-width: 800px) {
  .container {
    padding: 0 2rem;
  }
}
img {
  display: block;
  max-width: 100%;
  height: auto;
}
blockquote,
dl,
ol,
p,
table,
ul {
  font-size: 1.05rem;
}
blockquote,
dl,
p,
table,
ul {
  margin: 0 0 1.5rem;
}
ul {
  padding: 0 1rem;
}
@media screen and (min-width: 800px) {
  blockquote,
  dl,
  ol,
  p,
  table,
  ul {
    font-size: 1.125rem;
  }
  ul {
    padding: 0 2rem;
  }
}
ul li p {
  margin: 0;
}
ul li ul {
  padding-left: 1rem;
  margin: 0;
}
ul li ul li {
  margin: 0;
}
ol li ol {
  margin-bottom: 0;
}
.task-list-item [type="checkbox"] {
  margin-right: 0.5rem;
}
blockquote {
  margin: 2rem 0;
  padding: 1rem;
  background: var(--blockquote);
  font-weight: 400;
  border-left: 5px solid var(--blockquote-left);
}
@media screen and (min-width: 800px) {
  blockquote {
    padding: 2rem 0 2rem 2rem;
  }
}
::selection {
  background: #3b5bdb;
  color: #fff;
}
h1 {
  color: var(--h1-color);
}
h3,
h4 {
  color: var(--medium-font-color);
}
h2,
h5 {
  color: var(--heading-color);
}
h1,
h2,
h3,
h4,
h5 {
  margin: 0 0 1.5rem;
  font-weight: 700;
  line-height: 1.2;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}
h1:not(:first-child),
h2:not(:first-child),
h3:not(:first-child),
h4:not(:first-child) {
  margin-top: 3rem;
}
h1 {
  font-size: 2.5rem;
  line-height: 1.1;
}
h2 {
  font-size: 1.75rem;
  padding-bottom: 0.5rem;
  border-bottom: 4px solid var(--light-background);
}
h2 code {
  font-size: 1.75rem !important;
}
h3 {
  font-size: 1.5rem;
  color: var(--font-color);
  font-weight: 600;
  margin-bottom: 1rem;
}
h3 code {
  font-size: 1.4rem !important;
}
h4 {
  font-size: 1.3rem;
  color: var(--font-color);
  font-weight: 500;
  margin-bottom: 1rem;
  border-bottom: 2px solid var(--light-background);
  padding-bottom: 0.25rem;
}
h5 {
  font-size: 1.2rem;
  margin-bottom: 1rem;
}
@media screen and (min-width: 800px) {
  h1 {
    font-size: 3rem;
  }
  h2 {
    font-size: 1.9rem;
  }
  h3 {
    font-size: 1.7rem;
    color: var(--font-color);
    font-weight: 600;
  }
  h4 {
    font-weight: 400;
    font-size: 1.4rem;
  }
}
a.link {
  display: block;
  padding: 0.25rem 0;
  margin: 0.25rem 0;
  border-radius: 0.35rem;
  font-weight: 600;
  color: var(--dark-font-color);
}
a.link:hover {
  color: var(--link-color);
}
a.button {
  display: inline-block;
  border: 2px solid var(--link-color);
  padding: 0.3rem 0.6rem;
  margin-right: 0.75rem;
  font-weight: 500;
  background: var(--link-color);
  color: #fff;
  border-radius: 0.35rem;
  font-size: 0.9rem;
}
a.button.large {
  padding: 0.8rem 1rem;
  font-size: 1.05rem;
}
a.button.secondary {
  border: 2px solid #edf2ff;
  background: #edf2ff;
  color: #3b5bdb;
}
a.button.secondary:hover,
a.button:hover {
  border: 2px solid var(--link-color-darker);
  background: var(--link-color-darker);
  color: #fff;
}
@media screen and (min-width: 800px) {
  a.button {
    font-size: 0.9rem;
  }
  a.button.large {
    padding: 1rem 1.5rem;
    font-size: 1.1rem;
  }
}
p.subtitle {
  color: var(--medium-font-color);
  font-size: 1.3rem;
  font-weight: 300;
  margin-bottom: 0;
}
@media screen and (min-width: 800px) {
  p.subtitle {
    font-size: 1.5rem;
  }
}
a {
  color: inherit;
  text-decoration: none;
}
a.image-link {
  border-width: 0;
}
main {
  margin-top: 50px;
}
@media screen and (min-width: 800px) {
  main {
    margin-top: 0;
  }
}
.emoji {
  margin: 0 0.4rem 0 0.1rem;
}
.navbar {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background: var(--navbar-color);
  box-shadow:
    0 3px 13px rgba(100, 110, 140, 0.1),
    0 2px 4px rgba(100, 110, 140, 0.15);
  z-index: 2;
  padding: 0.5rem;
}
.navbar .flex {
  justify-content: space-between;
}
.navbar a {
  border-radius: 0.35rem;
  margin: 0 0.05rem;
  color: var(--font-color);
  font-weight: 400;
  font-size: 0.85rem;
  border: 1px solid transparent;
  padding: 0 0.3rem;
  background: 0 0;
}
.navbar a:first-of-type {
  margin-left: -1rem;
}
.navbar a .emoji {
  display: none;
}
.navbar a.brand {
  font-weight: 500;
  color: var(--dark-font-color);
  white-space: nowrap;
  border: none;
  display: flex;
  align-items: center;
  line-height: 1;
  background: 0 0;
}
.navbar a.brand .emoji {
  display: inline-block !important;
}
.navbar a.brand img {
  height: 22px;
  width: 22px;
}
.navbar button {
  font-size: 1rem;
  margin-right: -1rem;
}
@media screen and (min-width: 500px) {
  .navbar a {
    font-size: 0.95rem;
    padding: 0.5rem;
  }
}
@media screen and (min-width: 800px) {
  .emoji {
    margin: 0 0.5rem 0 0.1rem;
  }
  .navbar {
    position: static;
    padding: 1.5rem 0;
    background: 0 0;
    box-shadow: none;
  }
  .navbar .flex {
    justify-content: space-between;
  }
  .navbar a {
    padding: 0.75rem 1.25rem;
    margin: 0 0.25rem;
    font-size: 1.2rem;
    font-weight: 400;
    color: var(--font-color);
  }
  .navbar a:first-of-type {
    margin-left: -1.5rem;
  }
  .navbar a:hover,
  .navbar a[aria-current="page"] {
    background: var(--light-background);
    color: var(--dark-font-color);
  }
  .navbar a.brand {
    font-size: 1.3rem;
    margin-right: 3rem;
    border: none;
    background: 0 0 !important;
    color: var(--dark-font-color);
  }
  .navbar a.brand:hover {
    background: var(--light-background) !important;
  }
  .navbar a.brand img {
    height: 26px;
    width: 26px;
    margin-right: 0.25rem;
  }
  #dark-mode-button:hover {
    background: var(--light-background);
  }
}
@media print {
  .navbar {
    display: none;
  }
}
#dark-mode-button {
  display: flex;
  border: none;
  padding: 0.2rem 0.7rem 0.2rem 0.5rem;
  border-radius: 0.35rem;
  box-sizing: content-box;
  cursor: pointer;
  font-size: 1.1rem;
  background: 0 0;
}
#dark-mode-button .dark {
  display: none;
}
#dark-mode-button:focus {
  outline: 0;
}
[data-user-color-scheme] #dark-mode-button .light {
  display: none;
}
[data-user-color-scheme] #dark-mode-button .dark {
  display: unset;
}
@media screen and (min-width: 800px) {
  #dark-mode-button {
    padding: 0.95rem 0.75rem;
    font-size: 1.2rem;
  }
}
.my {
  padding-top: 2rem;
}
.my a {
  border: none;
  margin-right: 1rem;
}
.my a:hover {
  border: none;
}
.post-row {
  display: flex;
  align-items: center;
  width: 100%;
}
.post-row time {
  display: block;
  flex: 0 0 65px;
}
.post-row h3 {
  flex: 1;
}
.posts .post:last-of-type a {
  border-bottom-width: 0;
}
.post a {
  display: flex;
  align-items: center;
  justify-content: stretch;
  padding: 1rem 0;
  border-bottom: 2px solid var(--light-background);
}
.post a:hover {
  border-radius: 0.3rem;
}
.post h3 {
  margin-top: 0.1rem;
  margin-bottom: 0;
  font-size: 1.1rem;
  font-weight: 600;
}
@media screen and (min-width: 800px) {
  .posts {
    margin-left: -1rem;
    margin-right: -1rem;
  }
  .post a {
    padding: 0.75rem 1rem;
    border-bottom-color: transparent;
  }
  .post a:hover {
    background: var(--light-background);
  }
  .post h3 {
    font-size: 1.3rem;
  }
  .post-row time {
    flex: 0 0 80px;
  }
}
.new-post,
.popular-post {
  display: inline-block;
  color: #111;
  padding: 0.3rem 0.4rem;
  border-radius: 0.3rem;
  font-size: 0.85rem;
  margin-left: 1rem;
}
.new-post {
  background: #d3f9d8;
}
.popular-post {
  background: #dce6fd;
  color: var(--heading-color);
}
@media screen and (min-width: 800px) {
  .new-post,
  .popular-post {
    margin-bottom: 0;
  }
}
.footer {
  padding: 2rem 0;
}
.footer > .flex {
  flex-direction: column;
  align-items: center;
  justify-content: center;
}
.footer img {
  height: 30px;
  width: 30px;
}
.footer a {
  border-radius: 0.35rem;
  font-weight: 400;
  font-size: 1rem;
  border: 1px solid transparent;
  padding: 0.5rem;
  color: var(--light-font-color);
}
.footer a:hover {
  color: var(--heading-color);
  background: var(--light-background);
}
.footer a.img {
  display: flex;
  align-items: center;
  padding: 0;
  margin: 0 0.75rem;
  background: 0 0;
}
.footer-links {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
.flex nav {
  padding: 1rem 0;
}
@media screen and (min-width: 800px) {
  .footer > .flex {
    align-items: flex-start;
    margin-left: -1.5rem;
    margin-right: -1.5rem;
  }
  .footer a {
    padding: 0.55rem;
  }
  .footer a.img {
    padding: 0 0.5rem;
    margin: 0 1rem;
  }
}
@media print {
  .footer {
    display: none;
  }
}
.small {
  max-width: 600px;
}
.meta,
time {
  color: var(--light-font-color);
  font-size: 0.85rem;
  white-space: nowrap;
  font-weight: 400;
}
.meta {
  color: var(--medium-font-color);
  font-size: 1rem;
}
table {
  border-collapse: separate;
  border-spacing: 0;
  width: 100%;
  max-width: 100%;
  overflow-x: auto;
}
tbody,
thead {
  white-space: nowrap;
}
th {
  border-bottom: 2px solid var(--border);
}
tfoot th {
  border-top: 1px solid var(--border);
}
td {
  border-bottom: 1px solid var(--border);
}
td,
th {
  text-align: left;
  padding: 0.75rem;
  hyphens: auto;
}
tbody tr:nth-child(even) {
  background-color: var(--light-background);
}
@media screen and (min-width: 800px) {
  table {
    display: table;
    border: 1px solid var(--border);
  }
  tbody,
  thead {
    white-space: normal;
  }
}
.count {
  font-weight: 700;
  color: var(--link-color);
}
.tags {
  display: flex !important;
  flex-wrap: wrap;
  align-items: center;
  margin-left: -0.5rem;
  margin-right: -0.5rem;
}
.tags > a {
  display: block;
  font-weight: 500;
  background: var(--light-background);
  color: var(--font-color);
  margin: 0.2rem;
  padding: 0.5rem 0.6rem;
  font-size: 0.8rem;
  border-radius: 0.3rem;
  border-bottom: 0;
  white-space: nowrap;
  line-height: 1;
}
.tags > a:hover {
  background: var(--light-background-hover);
  color: var(--heading-color);
}
mark {
  background: #ffec99;
}
.utterances {
  margin-left: -4px;
  margin-right: -4px;
}
kbd {
  background-color: #f7f7f7;
  border: 2px solid rgba(0, 0, 0, 0.3);
  border-radius: 5px;
  box-shadow:
    0 1px rgba(0, 0, 0, 0.2),
    inset 0 0 0 2px #fff;
  color: #333;
  display: inline-block;
  font-family:
    Helvetica Neue,
    Inter,
    -apple-system,
    BlinkMacSystemFont,
    Helvetica,
    Arial,
    sans-serif;
  line-height: 1.4;
  margin: 0 0.1em;
  padding: 0.1em 0.6em;
  text-shadow: 0 1px 0 #fff;
  font-size: 14px;
}
#comments {
  margin-top: 3rem;
}
#comments h2 {
  margin: 0;
}
@media print {
  #comments,
  .comments {
    display: none;
  }
}
input.submit,
input[type="password"],
#search-query {
  padding: 0.8rem 1rem;
  background: var(--light-background);
  color: var(--input-color);
  border: 2px solid var(--border);
  outline: 0;
  border-radius: 0.35rem;
  font-size: 1rem;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 4rem;
}
#search-query {
  width: 100%;
}
input[type="password"] {
  width: 40%;
}
input.submit {
  cursor: pointer;
}
#search-query:focus {
  border-color: #5183f5;
}
#search-results {
  display: none;
}
.filter-container {
  display: flex;
  justify-content: flex-start;
  margin-bottom: 1.5rem;
  flex-wrap: wrap;
}
.filter-item {
  font-size: 0.85rem;
  padding: 0.5rem 0.75rem;
  background: var(--light-background);
  border-radius: 4px;
  margin-right: 0.5rem;
  margin-bottom: 0.5rem;
  font-weight: 600;
  cursor: pointer;
}
.filter-item:hover {
  background: #d8e3fd;
  color: #3972f4;
}
.filter-item:last-of-type {
  margin-right: 0;
}
.filter-item.active {
  background: #5183f5;
  color: #fff;
}
.filter-item.active:hover {
  color: #fff;
  background: #2161f2;
}
header {
  padding: 1.5rem 0;
}
header h1 {
  font-size: 2rem;
  display: inline-block;
  font-weight: 600;
  margin-top: 1rem;
}
header u {
  display: inline-block;
  text-decoration: none;
  padding: 0.4rem 0;
}
.article-header {
  padding-top: 2rem;
  margin-bottom: 0.5rem;
}
.article-header .container {
  padding-left: 0;
  padding-right: 0;
}
.article-header .thumb {
  display: flex;
  flex-direction: column;
}
.article-header h1 {
  font-weight: 700;
  font-size: 1.8rem;
  margin: 0;
}
.article-header .description {
  font-size: 1.2rem;
  color: var(--light-font-color);
  font-weight: 300;
  margin-top: 2rem;
  margin-bottom: 0;
}
.post-meta {
  margin-top: 1rem;
  padding: 0;
  color: var(--light-font-color);
  font-size: 0.9rem;
}
.post-meta a {
  color: var(--font-color);
  border-width: 0;
}
.post-meta time {
  margin-top: 0.2rem;
  font-size: 0.9rem;
}
.post-meta .tags {
  margin-top: 0.5rem;
}
.post-meta .tags a {
  text-decoration: none;
}
.article-post {
  margin-bottom: 2rem;
}
.article-post img {
  box-shadow: rgb(0 0 0 / 30%) 0px 5px 20px;
  border-radius: 8px;
}
.article-post a {
  box-shadow: 0 -2px rgba(189, 195, 199, 0.5) inset;
  transition: all 0.3s ease;
}
.article-post a:hover {
  box-shadow: 0 -10px rgba(189, 195, 199, 0.7) inset;
}
.article-post code {
  overflow-x: auto;
}
.article-post h1 .anchor {
  stroke: var(--link-color);
  stroke-width: 1px;
  fill: var(--link-color);
  font-weight: 700;
  left: -0.25rem;
  border-width: 0;
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
  box-shadow: none;
  transition: none;
}
.article-post h1 .anchor .icon {
  visibility: hidden;
}
.article-post h1:hover .anchor {
  box-shadow: none;
}
.article-post h1:hover .anchor .icon {
  visibility: visible;
}
.article-post h2 .anchor {
  stroke: var(--link-color);
  stroke-width: 1px;
  fill: var(--link-color);
  font-weight: 700;
  left: -0.25rem;
  border-width: 0;
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
  box-shadow: none;
  transition: none;
}
.article-post h2 .anchor .icon {
  visibility: hidden;
}
.article-post h2:hover .anchor {
  box-shadow: none;
}
.article-post h2:hover .anchor .icon {
  visibility: visible;
}
.article-post h3 .anchor {
  stroke: var(--link-color);
  stroke-width: 1px;
  fill: var(--link-color);
  font-weight: 700;
  left: -0.25rem;
  border-width: 0;
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
  box-shadow: none;
  transition: none;
}
.article-post h3 .anchor .icon {
  visibility: hidden;
}
.article-post h3:hover .anchor {
  box-shadow: none;
}
.article-post h3:hover .anchor .icon {
  visibility: visible;
}
.article-post h4 .anchor {
  stroke: var(--link-color);
  stroke-width: 1px;
  fill: var(--link-color);
  font-weight: 700;
  left: -0.25rem;
  border-width: 0;
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
  box-shadow: none;
  transition: none;
}
.article-post h4 .anchor .icon {
  visibility: hidden;
}
.article-post h4:hover .anchor {
  box-shadow: none;
}
.article-post h4:hover .anchor .icon {
  visibility: visible;
}
.article-post h5 .anchor {
  stroke: var(--link-color);
  stroke-width: 1px;
  fill: var(--link-color);
  font-weight: 700;
  left: -0.25rem;
  border-width: 0;
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
  box-shadow: none;
  transition: none;
}
.article-post h5 .anchor .icon {
  visibility: hidden;
}
.article-post h5:hover .anchor {
  box-shadow: none;
}
.article-post h5:hover .anchor .icon {
  visibility: visible;
}
.article-post h6 .anchor {
  stroke: var(--link-color);
  stroke-width: 1px;
  fill: var(--link-color);
  font-weight: 700;
  left: -0.25rem;
  border-width: 0;
  float: left;
  line-height: 1;
  margin-left: -20px;
  padding-right: 4px;
  box-shadow: none;
  transition: none;
}
.article-post h6 .anchor .icon {
  visibility: hidden;
}
.article-post h6:hover .anchor {
  box-shadow: none;
}
.article-post h6:hover .anchor .icon {
  visibility: visible;
}
@media screen and (min-width: 800px) {
  .article-post h1,
  .article-post h2,
  .article-post h3,
  .article-post h4,
  .article-post h5 {
    padding-top: 1rem;
  }
  .post-meta {
    margin-top: 0.5rem;
    padding: 0.5rem 0;
  }
  header h1 {
    font-size: 3rem;
    margin-top: 2rem;
  }
  header u {
    background: linear-gradient(transparent 85%, #bac8ff 0);
  }
  .article-header {
    padding-top: 3rem;
  }
  .article-header h1 {
    padding-top: 0;
    font-size: 2.5rem;
  }
  .article-header .thumb {
    flex-direction: row;
  }
  .article-header .description {
    font-size: 1.8rem;
    line-height: 1.5;
  }
}
@media screen and (min-width: 1100px) {
  .article-header h1 {
    font-size: 2.5rem;
  }
}
.post-thumbnail {
  display: block !important;
}
code,
pre {
  font-size: 0.9rem;
  font-family:
    Consolas,
    Monaco,
    Menlo,
    dejavu sans mono,
    bitstream vera sans mono,
    courier new,
    monospace;
}
:not(pre) > code {
  color: var(--dark-font-color);
  background: var(--light-background);
}
code {
  padding: 3px 5px;
  border-radius: 4px;
  color: #f8f8f2;
}
pre > code {
  display: block;
}
.note-ref {
  cursor: pointer;
  border: none;
  box-shadow: none !important;
}
.note-ref:hover {
  box-shadow: none;
  border: none;
}
.suggested {
  flex-direction: column;
  align-items: stretch;
  margin-left: -1rem;
  margin-right: -1rem;
  padding: 0;
}
.suggested span {
  font-weight: 400;
  display: block;
  font-size: 0.9rem;
  color: var(--transparent-text);
}
.suggested a {
  background: 0 0;
  margin: 0.5rem 1rem;
  border-bottom: none;
  transition: all 0.2s ease;
  padding: 1.5rem;
  border-radius: 0.35rem;
  background: var(--light-background);
  color: var(--heading-color);
}
.suggested a:hover {
  transform: translate3D(0, -1px, 0);
  background: var(--light-background-hover);
}
@media screen and (min-width: 800px) {
  .suggested {
    flex-direction: row;
  }
  .suggested a {
    flex: 0 0 calc(50% - 2rem);
  }
  .suggested a:first-of-type {
    text-align: right;
  }
}
.projects .project:last-of-type {
  border-bottom-width: 0;
}
.project {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.75rem 0;
  border-bottom: 2px solid var(--light-background);
}
.project .icon {
  font-size: 1.5rem;
  width: 40px;
}
.project a {
  display: flex;
  align-items: center;
  margin-bottom: 0.25rem;
  border-width: 0;
}
.project a:hover h3 {
  text-decoration: underline;
}
.project a.button {
  margin-left: 1.5rem;
  border-width: 2px;
}
.project h3 {
  font-size: 1.2rem;
  margin: 0;
}
.project .description {
  font-size: 0.9rem;
  color: var(--light-font-color);
}
@media screen and (min-width: 800px) {
  .project {
    border-bottom-width: 0;
  }
  .project h3 {
    font-size: 1.3rem;
  }
  .project .description {
    font-size: 1rem;
  }
}
.terms a {
  padding: 0.75rem 1.25rem;
  margin: 0 0.25rem;
  font-size: 1.2rem;
  font-weight: 400;
  color: var(--font-color);
  border-radius: 0.35rem;
}
.terms a:hover {
  background: var(--light-background);
  color: var(--dark-font-color);
}
.pagination {
  display: flex;
}
.pagination .next-page,
.pagination .prev-page {
  flex-grow: 1;
  flex-shrink: 1;
  display: flex;
}
.pagination .next-page {
  justify-content: flex-end;
}
.pagination a {
  border-radius: 0.35rem;
  padding: 0.75rem 1.25rem;
  margin: 0 0.25rem;
  font-size: 1.2rem;
  font-weight: 400;
  color: var(--font-color);
}
.pagination a:hover,
.pagination a[aria-current="page"] {
  background: var(--light-background);
  color: var(--dark-font-color);
}
@media (prefers-color-scheme: dark) {
  :root {
    --color-mode: dark;
  }
  :root:not([data-user-color-scheme]) {
    --h1-color: white;
    --font-color: #dfdfdf;
    --heading-color: #ffd479;
    --dark-font-color: #ced4da;
    --background: #1f2022;
    --medium-font-color: #dee2e6;
    --light-font-color: #868e96;
    --light-background: #2d2d31;
    --light-background-hover: #3b3b3e;
    --code-background-color: #2e2e30;
    --border: #404040;
    --link-color: #6ab0f3;
    --link-color-darker: #4a72a5;
    --link-hover-color: #e1a6f2;
    --navbar-color: #1d1d1d;
    --blockquote: #2b2b2b;
    --blockquote-left: #191919;
    --transparent-text: rgba(255, 255, 255, 0.7);
    --transparent-bg: rgba(0, 0, 0, 0.2);
    --light-transparent-bg: rgba(255, 255, 255, 0.05);
    --comment-background-color: #1f2022;
    --submit-color: rgb(0 0 0 / 0%);
    --comment-body-color: #ffd479;
    --comment-meta: rgba(255 255 255 / 71%);
    --inkpage_links: #ffd479;
    --webkit-scrollbar: rgb(255 255 255 / 40%);
    --commentslist--color: rgb(0 0 0 / 10%) 0px 5px 20px;
  }
}
[data-user-color-scheme="dark"] {
  --h1-color: white;
  --font-color: #dfdfdf;
  --heading-color: #ffd479;
  --dark-font-color: #ced4da;
  --background: #1f2022;
  --medium-font-color: #dee2e6;
  --light-font-color: #868e96;
  --light-background: #2d2d31;
  --light-background-hover: #3b3b3e;
  --code-background-color: #2e2e30;
  --border: #404040;
  --link-color: #6ab0f3;
  --link-color-darker: #4a72a5;
  --link-hover-color: #e1a6f2;
  --navbar-color: #1d1d1d;
  --blockquote: #2b2b2b;
  --blockquote-left: #191919;
  --transparent-text: rgba(255, 255, 255, 0.7);
  --transparent-bg: rgba(0, 0, 0, 0.2);
  --light-transparent-bg: rgba(255, 255, 255, 0.05);
  --comment-background-color: #1f2022;
  --submit-color: rgb(0 0 0 / 0%);
  --comment-body-color: #ffd479;
  --comment-meta: rgba(255 255 255 / 71%);
  --inkpage_links: #ffd479;
  --webkit-scrollbar: rgb(255 255 255 / 40%);
  --commentslist--color: rgb(255 255 255 / 10%) 0px 5px 20px;
}
.alert a,
h1,
header a {
  text-decoration: none;
}
.alert a,
.comment-head,
cite.fn {
  font-weight: 700;
}
.alert {
  margin: 1em 0;
  padding: 4px 8px;
  border-radius: 0;
}
.alert a {
  border: 0;
}
.alert > p,
.alert > ul {
  margin-bottom: 0;
}
.alert > p + p {
  margin-top: 5px;
}
.info {
  color: #1d6fee;
  border: 1px solid #1d6fee;
  border-radius: 8px;
}
.comment-list p.comment-user-info {
  display: block;
  margin-bottom: 0.5em;
}
.comment-author .avatar {
  float: left;
  margin-right: 8px;
  border-radius: 15%;
}
.comment-body {
  padding: 18px 0;
  position: relative;
  border-radius: 8px;
  padding-inline: 18px;
  border: 1px solid #b5b5b5;
  box-shadow: var(--commentslist--color);
}
.comment-body p {
  font-size: 14px;
  color: var(--comment-body-color);
}
.comment-body p:last-child {
  margin-bottom: 0;
}
.comment-body .reply {
  position: absolute;
  top: 10px;
  right: 0;
}
.comment-body .reply .comment-reply-link {
  color: #fff;
  font-family: exoregular;
  display: inline-block;
  line-height: 1.2;
  border-radius: 3px;
  padding: 3px 8px;
  background-color: #bc403e;
  font-size: 12px;
}
.comment-list {
  word-wrap: break-word;
}
.comment-reply-title,
.comments-title {
  font-size: 18px;
  color: rgba(0, 0, 0, 0.44);
  margin-bottom: 20px;
}
.comment-form label {
  display: block;
  font-size: 12px;
  color: #999;
}
.comment-form input[type="text"] {
  line-height: 32px;
  width: auto;
  padding: 0 10px;
}
#comment,
.comment-form input[type="text"] {
  border-radius: 8px;
  background-color: var(--comment-background-color);
  border: 1px solid #b5b5b5;
  font-size: 14px;
  width: 100%;
  color: var(--font-color);
}
#comment {
  resize: none;
  padding: 10px;
  box-sizing: border-box;
}
.comment-form input[name="sum"] {
  max-width: 40px;
}
ol.comment-list {
  padding-inline-start: 0px;
}
p.areatype-1 {
  float: left;
  width: 32.3333333%;
  margin-right: 1%;
}
p.areatype-2 {
  float: left;
  width: 33.3333333%;
}
.says {
  display: none;
}
.comment-meta {
  font-size: 14px;
  color: var(--comment-meta);
}
.comments-pagination {
  margin-bottom: 15px;
}
#submit {
  background-color: var(--submit-color);
  display: inline-block;
  border: 1px solid #b5b5b5;
  padding: 4px 8px;
  font-size: 14px;
  color: #999;
  cursor: pointer;
  border-radius: 8px;
}
#submit:hover {
  border-color: #ffd479;
  color: #ffd479;
}
.says {
  display: none;
}
.mark {
  margin: 0 5px;
  padding: 2px;
  background: #ffec99;
  border-bottom: 1px solid #ffec99;
}
.linkpage ul {
  color: rgba(255, 255, 255, 0.15);
}
.linkpage ul:after {
  content: " ";
  clear: both;
  display: block;
}
.linkpage li {
  float: left;
  width: 48%;
  position: relative;
  transition: 0.3s ease-out;
  border-radius: 5px;
  line-height: 1.3;
  height: 90px;
  display: block;
}
.linkpage li:hover {
  background: rgba(155, 155, 155, 0.2);
  cursor: pointer;
}
.linkpage li a {
  padding: 0 10px 0 90px;
}
.linkpage li a img {
  width: 60px;
  border-radius: 50%;
  position: absolute;
  top: 15px;
  left: 15px;
  border: none;
}
.linkpage_links {
  color: var(--inkpage_links);
  font-size: 18px;
  margin: 0 0 7px;
  font-weight: 400;
  padding-left: 90px;
}
.linkpage li a p {
  font-size: 12px;
  color: #999;
  padding-left: 90px;
}
@media (max-width: 460px) {
  .linkpage li {
    width: 97%;
  }
  .linkpage ul {
    padding-left: 5px;
  }
}
pre {
  position: relative;
  padding: 30px 10px 10px 10px;
  background: #282b2e;
  border-radius: 8px;
  box-shadow: rgb(0 0 0 / 30%) 0px 5px 20px;
}
.article-post pre code {
  font-family: Consolas;
}
pre::after {
  display: block;
  content: " ";
  position: absolute;
  border-radius: 50%;
  background: #ff5f56;
  width: 12px;
  height: 12px;
  top: 0;
  left: 12px;
  margin-top: 12px;
  -webkit-box-shadow:
    20px 0 #ffbd2e,
    40px 0 #27c93f;
  box-shadow:
    20px 0 #ffbd2e,
    40px 0 #27c93f;
}
code::-webkit-scrollbar {
  height: 6px;
}
::-webkit-scrollbar {
  width: 10px;
}
code::-webkit-scrollbar-thumb {
  background: rgb(255 255 255 / 46%) !important;
  border-radius: 10px;
}
::-webkit-scrollbar-thumb {
  background-color: var(--webkit-scrollbar);
  border-radius: 100px;
  border: 2px solid transparent;
  background-clip: content-box;
}
